org.apache.solr.handler.component

## Class SpatialHeatmapFacets

- java.lang.Object
- - org.apache.solr.handler.component.SpatialHeatmapFacets

-     public class SpatialHeatmapFacets
      extends Object

  A 2D spatial faceting summary of a rectangular region. Used by `FacetComponent` and `SimpleFacets`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpatialHeatmapFacets.HeatmapFacet` Goes in `FacetComponent.FacetInfo.heatmapFacets`, created by `distribParse(org.apache.solr.common.params.SolrParams, ResponseBuilder)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_DIST_ERR_PCT`
    `static String` | `FORMAT_INTS2D`
    `static String` | `FORMAT_PNG`
    `static String` | `RESPONSE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialHeatmapFacets()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NamedList` | `distribFinish(LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapInfos, ResponseBuilder rb)` Called by FacetComponent's impl of `SearchComponent.finishStage(ResponseBuilder)`.
    `static void` | `distribHandleResponse(LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapFacets, NamedList srsp_facet_counts)` Called by FacetComponent.countFacets which is in turn called by FC's impl of `SearchComponent.handleResponses(ResponseBuilder, ShardRequest)`.
    `static void` | `distribModifyRequest(ShardRequest sreq, LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapFacets)` Called by FacetComponent's impl of `SearchComponent.modifyRequest(ResponseBuilder, SearchComponent, ShardRequest)`.
    `static LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet>` | `distribParse(SolrParams params, ResponseBuilder rb)` Parses request to "HeatmapFacet" instances.
    `static NamedList<Object>` | `getHeatmapForField(String fieldKey, String fieldName, ResponseBuilder rb, SolrParams params, DocSet docSet)` Called by `SimpleFacets` to compute heatmap facets.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESPONSE_KEY

          public static final String RESPONSE_KEY

      See Also:
        Constant Field Values

    - #### FORMAT_PNG

          public static final String FORMAT_PNG

      See Also:
        Constant Field Values

    - #### FORMAT_INTS2D

          public static final String FORMAT_INTS2D

      See Also:
        Constant Field Values

    - #### DEFAULT_DIST_ERR_PCT

          public static final double DEFAULT_DIST_ERR_PCT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpatialHeatmapFacets

          public SpatialHeatmapFacets()

  - ### Method Detail

    - #### getHeatmapForField

          public static NamedList<Object> getHeatmapForField(String fieldKey,
                                                             String fieldName,
                                                             ResponseBuilder rb,
                                                             SolrParams params,
                                                             DocSet docSet)
                                                      throws IOException

      Called by `SimpleFacets` to compute heatmap facets.
      Throws:
        `IOException`

    - #### distribParse

          public static LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> distribParse(SolrParams params,
                                                                                             ResponseBuilder rb)

      Parses request to "HeatmapFacet" instances.

    - #### distribModifyRequest

          public static void distribModifyRequest(ShardRequest sreq,
                                                  LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapFacets)

      Called by FacetComponent's impl of `SearchComponent.modifyRequest(ResponseBuilder, SearchComponent, ShardRequest)`.

    - #### distribHandleResponse

          public static void distribHandleResponse(LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapFacets,
                                                   NamedList srsp_facet_counts)

      Called by FacetComponent.countFacets which is in turn called by FC's impl of `SearchComponent.handleResponses(ResponseBuilder, ShardRequest)`.

    - #### distribFinish

          public static NamedList distribFinish(LinkedHashMap<String,SpatialHeatmapFacets.HeatmapFacet> heatmapInfos,
                                                ResponseBuilder rb)

      Called by FacetComponent's impl of `SearchComponent.finishStage(ResponseBuilder)`.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.